#!/bin/bash

# az első parancssori paraméterrel vizsgálódik.

#Nem ures allomany
if test -s $1
then
        echo "$1 nem ures fajl"
fi

#Hagyomanyos allomany 
if test -f $1
then
        echo "$1 hagyomanyos allomany (Nem konyvtar)"
fi

#Letezik?
if test -e $1
then
    echo "$1 letezik"
fi

#Konyvtar
if test -d $1
then
        echo "$1 konyvtar (Nem hagyomanyos fajl)"
fi

#Olvashato
if test -r $1
then
        echo "$1 olvashato"
fi

#Futtathato
if test -x $1
then
        echo "$1 futtathato"

fi

#Irhato
if test -w $1
then
        echo "$1 irhato"

fi

